### Method

# Gegl Buffersignal_connect

#### Declaration [src]

    glong
    gegl_buffer_signal_connect (
      GeglBuffer* buffer,
      const char* detailed_signal,
      GCallback c_handler,
      gpointer data
    )

#### Description [src]

This function should be used instead of g_signal_connect when connecting to the GeglBuffer::changed signal handler, GeglBuffer contains additional machinery to avoid the overhead of changes when no signal handler have been connected, if regular g_signal_connect is used; then no signals will be emitted.

#### Parameters

`detailed_signal`

  Type: `const char*`

  Only “changed” expected for now.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`c_handler`

  Type: `GCallback`

  C function callback.

`data`

  Type: `gpointer`

  User data:.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

#### Return value

Type: `glong`

An handle like g_signal_connect.